API DocumentationManufacturer document controller

Generate invoice document

GET
/api/manufacturer/v1/document/{orderId}/invoice-document

Generates a PDF document using an invoice template for the specified order

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

orderId*integer

ID of the order

Formatint64

Query Parameters

templateId*integer

ID of the invoice template

Formatint64

Response Body

PDF generated successfully

application/pdf
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/document/1/invoice-document?templateId=42'
Empty